Bug 70775 - VIEWING: Arabic font rendering has problems from as little as subtle artifacts all the way to unusability, depending on the font
Summary: VIEWING: Arabic font rendering has problems from as little as subtle artifact...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.1.1.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA target:5.3.0
Keywords:
Depends on: HarfBuzz
Blocks: RTL-CTL
  Show dependency treegraph
 
Reported: 2013-10-22 18:26 UTC by Mohammed Arabiat
Modified: 2016-11-06 19:32 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
A picture explaining the font rendering problems I am currently experiencing. (193.61 KB, image/png)
2013-10-22 18:26 UTC, Mohammed Arabiat
Details
I thought it would be a good idea to attach the sample file used in the screenshots. (14.09 KB, application/vnd.oasis.opendocument.text)
2013-10-23 16:40 UTC, Mohammed Arabiat
Details
screenshot with red squares around the problem (194.58 KB, image/png)
2014-11-15 14:16 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammed Arabiat 2013-10-22 18:26:05 UTC
Created attachment 88015 [details]
A picture explaining the font rendering problems I am currently experiencing.

Problem description: 
Arabic fonts have various problems rendering. These following screenshots should be descriptive enough of the problem.

The attached picture provides a couple of examples of the problem. The red color marks the artifacts at a 100% zoom setting, green marks the artifacts that are no longer there at 150% zoom level while the blue marks show new artifacts that show up on the 150% zoom level but not on 100%. The third picture is using an another font that is completely unusable at this point.

I'm sorry if I did anything wrong in regards of this bug report.
Operating System: Windows 8
Version: 4.1.1.2 release
Comment 1 Mohammed Arabiat 2013-10-23 16:40:03 UTC
Created attachment 88044 [details]
I thought it would be a good idea to attach the sample file used in the screenshots.
Comment 2 Mohammed Arabiat 2013-11-02 06:29:16 UTC
Updated version to 4.1.2.3 release, as it still exists there.
Comment 3 bfoman (inactive) 2013-11-20 21:43:03 UTC
Please do not change version field as it indicates the first release where bug occurred.
Potential candidate for https://bugs.freedesktop.org/show_bug.cgi?id=43808 meta bug - adding Lior Kaplan to CC list.
Comment 4 Maxim Monastirsky 2013-11-24 13:14:23 UTC
The attached file shows an assert in vcl/win/source/gdi/winlayout.cxx:1342, like in Bug 67601.

Version: 4.3.0.0.alpha0+
Build ID: 732ec36edfd09d2091d70c4d71b5f182fe279c45
TinderBox: Win-x86@39, Branch:master, Time: 2013-11-24_00:16:51
Comment 5 tommy27 2014-10-17 10:24:50 UTC
@Mohammed Arabiat
please give an update of the bug status in current LibO 4.3.2.2
is bug still there?
Comment 6 Mohammed Arabiat 2014-10-17 11:15:51 UTC
The bug is still present, unfortunately.
Comment 7 Yousuf Philips (jay) (retired) 2014-11-15 14:07:30 UTC
Confirmed the artifacts in master on Windows and Linux with the Traditional Arabic font, though it appeared next to different letters for me. :D

Tested the sample file in Word 2013 and there were no artifacts there.

Version: 4.4.0.0.alpha2+
Build ID: 89db5b5b88508e55bce50240d248dd26053f4e09
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-11-12_20:58:53
Comment 8 Yousuf Philips (jay) (retired) 2014-11-15 14:16:58 UTC
Created attachment 109519 [details]
screenshot with red squares around the problem
Comment 9 Yousuf Philips (jay) (retired) 2015-01-06 16:00:20 UTC
This likely is a kashida problem so adding links to other bugs with similar problems.
Comment 10 QA Administrators 2016-02-21 08:38:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

   Test to see if the bug is still present on a currently supported version of LibreOffice 
   (5.0.5 or 5.1.0)  https://www.libreoffice.org/download/

   If the bug is present, please leave a comment that includes the version of LibreOffice and 
   your operating system, and any changes you see in the bug behavior
 
   If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
   a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

   Update the version field
   Reply via email (please reply directly on the bug tracker)
   Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
   appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 3. Leave a comment with your results. 4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-02-21